
#define X_DISPLAY_MISSING
#include <Imlib2.h>


#include "common.h"
#include "dmyrenderer.h"


//***************************************************************************
// tescht
//***************************************************************************

int main(int argc, char** argv)
{
   DummyRenderer* render;

   logDevice = devFile;
   logLevel = eloAlways;

   render = new DummyRenderer(0, 0, 720, 576, "/etc/vdr/plugins/", false,
                              "DeepBlue/DeepBlue.theme");


   render->init(0);
   render->clear();

   render->rectangle(10, 10, 400, 200,
                     50, 150, 150, 255);

   for (int i = 0; i < 10; i++)
   {
      int yPos = 10 + (22 * 5/3) * i;

      render->text("Das muß ein sehr schön doofer text sein ;)", "Vera", 26, 0, 
                   10, yPos, 
                   255, 255, 255,
                   400, 50, 1, true);
   }

   render->refresh();

   render->dumpImage2File("test.png", 720, 576);

   printf("... done!\n");

   delete render;

   return 0;
}
